/* Developed for Lenovo Educational Board Pass 3
   © Lenovo Created by Joshua Grosser
   v. 2.0 */

#include <Wire.h>   // I2C library
#include "ens210.h" // ENS210 library

// object that will be used to get temperature values
ENS210 ens210;

void setup() {
  // Enable serial
  Serial.begin(115200);

  // Enable I2C
  Wire.begin();

  // Enable temperature sensor
  ens210.begin();
}


void loop() {
  // creates variables for temperature and humidity and measures new values
  int t_data, t_status, h_data, h_status;
  ens210.measure(&t_data, &t_status, &h_data, &h_status); 
  Serial.print("Temp: ");
  // converts temperature to Fahrenheit
  Serial.print( ens210.toFahrenheit(t_data, 10) / 10.0 );
  Serial.print(" F");
  Serial.println();
  // waits 2 seconds
  delay(2000);
}
